.pop-up {
    @keyframes fade {
        0% {
            opacity:0;
            transform: translate(-50%, 100%);
        }
        100% {
            opacity:1;
            transform: translateY(-50%, 0);
        }
    }

    @apply p-5 mt-8 bg-white shadow-lg relative flex flex-row justify-between  flex-wrap items-stretch;
    @include media(md){
        @apply flex-wrap;
    }

    &.bg-richsred {
        @apply bg-richsred;

        &:before {
            border-bottom-color: theme('colors.richsred');
        }
    }

    &:before {
        content: '';
        @apply w-0 h-0 absolute;
        border-style: solid;
        border-width: 0 15px 20px 15px;
        border-color: transparent transparent white transparent;
        bottom: 100%;
        left: 24%;
        transform: translateX(-50%);
        animation: fade 300ms;
        animation-delay: 400ms;
        @include media(md){
            left:50%;
        }
    }

    &+.pop-up {
        &:before {
            left: 76%;
            @include media(md){
                left:50%;
            }
        }
    }

    .text-with-border {
        font-size: 0.75rem;
        @apply pb-3;
    }

    .col { 
        width: 24%;

        &.light-text {
            color: #fff;

            h6 {
                color: #fff;
            }
        }

        @include media(md){
            width: 49%;
        }
        @include media(sm){
            @apply w-full;
            & + .col{
                @apply mt-4;
            }
        }
    }

    .link-list+.link-list {
        @apply mt-4;
    }
}

.all-destinations .buttons + .pop-up{
    > div { 
        width: 24%;
        &:nth-of-type(-n+3){
            width: 30%;
            @include media(md){
                width: 49%;
            }
            @include media(sm){
                @apply w-full;
                & + .col{
                    @apply mt-4;
                }
            }
        }
        @include media(md){
            width: 49%;
        }
        @include media(sm){
            @apply w-full;
            & + .col{
                @apply mt-4;
            }
        }
        .link-list{
            ul li{
                a, span{
                    @apply py-2;
                }
            }
        }
    }
}